%define _libexecdir /usr/libexec

Summary:  The Control Center
Name:     drakconf
Version:  13.2
Release:  %mkrel 7
Source0:  %{name}-%{version}.tar.xz
License: GPLv2+
Group:   System/Configuration
Url:     http://www.mageia.org
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: perl_checker
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: pclinuxos-release
Requires: drakxtools
Requires: harddrake-ui
Requires: polkit
Requires: userdrake
Requires: drakconf-icons = %{version}
#Requires: drakx-net-applet
Requires: libdrak3d
Requires: drakx-kbd-mouse-x11
Requires: %{_lib}vte2_90_9
Requires: addlocale

%description
drakconf includes the Control Center which is an interface to
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the %{_vendor} Control Center
Group:   Graphical desktop/Other

%description icons
This package hold icons of the Control Center used
in the interface.

%prep
%setup -q

%install
rm -rf %buildroot
%makeinstall_std

#install lang
%find_lang %{name}

#install menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/pclinuxos-drakconf.desktop << EOF
[Desktop Entry]
Name=Configure Your Computer
Name[fr]=Configurer Votre Ordinateur
Name[nl]=Uw computer configureren
Name[de]=Konfigurieren Sie Ihren Computer
Name[sv]=Konfigurera din dator
Name[rs]=Подесите Ваш Рачунар
Name[pl]=Konfiguracja komputera
Exec=/usr/bin/drakconf
Comment=Administration Center
Comment[fr]=Centre de Gestion du Système
Comment[nl]=Beheercentrum
Comment[de]=Administrationszentrale
Comment[sv]=Inställningscentral
Comment[rs]=Администрациони Центар
Comment[pl]=Centrum sterowania PCLinuxOS
Icon=drakconf.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-System-Configuration;Settings;
EOF

mkdir -p %buildroot{%_miconsdir,%_liconsdir}
install -m0644 drakconf16.png %buildroot/%_miconsdir/drakconf.png
install -m0644 drakconf32.png %buildroot/%_iconsdir/drakconf.png
install -m0644 drakconf48.png %buildroot/%_liconsdir/drakconf.png

install -d %{buildroot}/etc
touch %{buildroot}/etc/mcc.conf

for i in %buildroot{%_sbindir,%_bindir}/{mcc,pcc}; do
	ln -s {drakconf,$i}
done

#compatibility symlink for XFCE
ln -s /usr/bin/drakconf %{buildroot}/usr/sbin/drakconf


mkdir -p %buildroot/usr/X11R6/bin/
echo -e "#\!/bin/sh\nexec /usr/bin/mcc" > %buildroot/usr/X11R6/bin/DrakConf


(cd %{buildroot} ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %{name}.lang


%files icons -f images.list

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%{_bindir}/*
%{_sbindir}/*
%attr(755,root,root) %_prefix/X11R6/bin/DrakConf
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/pclinuxos-drakconf.desktop
%{perl_vendorlib}/MDV
%dir %{_datadir}/mcc
%{_datadir}/mcc/progs.conf
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/mcc.css
%{_libexecdir}/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%pre
rm -f /usr/sbin/drakconf


%changelog
* Tue Oct 18 2016 adrianomorselli <adrianomorselli> 13.2-7uplos2016
- rebuild

* Sun Apr 17 2016 bb <bb> 13.2-7pclos2017
- new menu icon green

* Sat Apr 02 2016 bb <bb> 13.2-6pclos2016
- drop addlocale and return to draklocale

* Sat Apr 02 2016 bb <bb> 13.2-5pclos2016
- new menu icon
- temp remove splash
- remove req drakx-net-applet since it doesnt
- work properly in Plasma 5

* Tue Mar 08 2016 bb <bb> 13.2-4pclos2016
- add a L to es Control

* Sat Mar 05 2016 bb <bb> 13.2-3pclos2016
- re-enable Tools Authentication now
- that it is working

* Thu Mar 01 2016 bb <bb> 13.2-2pclos2016
- technical changes

* Thu Mar 01 2016 bb <bb> 13.2-1pclos2016
- replace graphics

* Mon Feb 28 2016 bb <bb> 13.1-8pclos2016
- fix name on polykit

* Thu Feb 25 2016 bb <bb> 13.1-7pclos2016
- use pexec to call drakconf instead of
- using gksu now that polkit authentication
- is working in kde mate lxde and xfce

* Fri Feb 19 2016 bb <bb> 13.1-6pclos2016
- fix Snapshots from appearing in pcc when
- app is not installed.

* Wed Feb 17 2016 bb <bb> 13.1-5pclos2016
- drop please wait on splash screen

* Tue Feb 16 2016 bb <bb> 13.1-4pclos2016
- drop configure media sources due to 
- synaptic bug using synaptic -r
- switch to addlocale instead of draklocale

* Tue Feb 16 2016 bb <bb> 13.1-3pclos2016
- revert on large text mod and add support for
- dark background

* Mon Feb 15 2016 bb <bb> 13.1-2pclos2016
- more mods for pclos

* Sat Feb 13 2016 bb <bb> 13.1-1pclos2016
- import into pclos from france with mods

